Bug 1268838 - ghostscript-9.20 is available
ghostscript-9.20 is available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 08:16 EDT by Upstream Release Monitoring
Modified: 2016-11-01 11:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-01 11:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (6.63 KB, patch)
2016-03-31 09:43 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-09-27 09:48 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-05 08:16:42 EDT
Latest upstream release: 9.18
Current version/release in rawhide: 9.16-3.fc23
URL: http://downloads.ghostscript.com/public/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-05 08:17:24 EDT
Failed to kick off scratch build.

list index out of range
Comment 2 Account closed by the user 2015-10-25 12:50:11 EDT
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 9.18
> Current version/release in rawhide: 9.16-3.fc23

http://www.ghostscript.com/doc/9.18/News.htm


 Highlights in this release include:


* A substantial revision of the build system and GhostPDL directory
structure, meaning the GhostPCL and GhostXPS "products" are now built by
the Ghostscript build system "proper" rather than having their own
builds which called the Ghostscript build system for certain parts of
the builds.

    Ghostscript-only users should not be affected by this change.

    For users of the PCL and XPS interpreters (collectively downloaded
as "GhostPDL") there is a new, "flatter" directory structure and only
one configure and one make invocation to build all the products. There
are also some executable default name changes to bring the PCL and XPS
binaries in line with the Ghostscript ones. All executables now end up
in the "bin" directory (or build specific variant thereof, e.g.
"debugbin"). The PCL executable, by default, is now "gpcl6" on Unix like
systems and "gpcl6win??.exe" (where "??" is either "32" or "64"). The
XPS executable remains "gxps" on Unix-like systems, but similarly
becomes "gxpswin??.exe" on Windows.

    Those using scripts or other automated processes will need to take
steps to cope with these changes.


* A new method of internally inserting devices into the device chain
has been developed, named "device subclassing". This allows suitably
written devices to be more easily and consistently as "filter" devices.

    The first fruit of this is a new implementation of the
"-dFirstPage"/"-dLastPage" feature which functions a device filter in
the Ghostscript graphics library, meaning it works consistently with all
input languages.

    
* The "ghostpdl.inf" file, provided to simplify installing a
Postscript printer configure to produce output to suit Ghostscript's
"pdfwrite" device is now available as a digitally signed version:
"ghostpdl.cat".


* Plus the usual round of bug fixes, compatibility changes, and
incremental improvements.
Comment 3 Upstream Release Monitoring 2016-03-31 09:42:50 EDT
Latest upstream release: 9.19
Current version/release in rawhide: 9.16-4.fc24
URL: http://www.ghostscript.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1157/
Comment 4 Upstream Release Monitoring 2016-03-31 09:43:37 EDT
Patching or scratch build for ghostscript and version 9.16 FAILED.
See for details
Comment 5 Upstream Release Monitoring 2016-03-31 09:43:40 EDT
Created attachment 1142237 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 6 Upstream Release Monitoring 2016-03-31 09:43:43 EDT
Patches were not touched. All were applied properly
Comment 7 David Kaspar [Dee'Kej] 2016-05-12 13:36:56 EDT
I will not be doing a rebase for F24, it's too late for that, but I will consider it for next (F25) rawhide.
Comment 8 Upstream Release Monitoring 2016-09-27 09:47:18 EDT
Latest upstream release: 9.20
Current version/release in rawhide: 9.16-4.fc24
URL: http://www.ghostscript.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1157/
Comment 9 Upstream Release Monitoring 2016-09-27 09:48:55 EDT
Patching or scratch build for ghostscript-9.16 failed.
Comment 10 Upstream Release Monitoring 2016-09-27 09:48:58 EDT
Created attachment 1205200 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 11 Upstream Release Monitoring 2016-09-27 09:49:02 EDT
Patches were not touched. All were applied properly
Comment 12 David Kaspar [Dee'Kej] 2016-09-27 10:49:58 EDT
All official dowlonads now link to github:
https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/tag/gs920

NOTE: With luck, the ghostscript 9.20 will make it to Fedora 26.

Dee'Kej
Comment 13 Upstream Release Monitoring 2016-10-08 15:17:53 EDT
dkaspar's ghostscript-9.20-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=807799
Comment 15 Upstream Release Monitoring 2016-11-01 10:09:51 EDT
dkaspar's ghostscript-9.20-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=814243

Note You need to log in before you can comment on or make changes to this bug.